Subject: Re: Classis Airframes Hudson
From: "Steve Bamford" <[email-masked]>
To: "Barney" <[email-masked]>
Date: Thu, 18 Apr 2002 20:38:33 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

  ----- Original Message ----- 
  From: Barney 
  To: Steve Bamford 
  Sent: Thursday, March 14, 2002 8:32 PM
  Subject: Classis Airframes Hudson

  Steve:  Here are the first photos of CA's Hudson.  The RCAF converted a few Hudsons to Model 414 Transports for VIP use.  I started building this as a stock Hudson then decided that I wanted something a bit different.  At first I was going to built it asa Model 18 but realized that it was too big a job.  I then saw a photo of a 414 transport in bare metal finish and decided that it was quite different...no one else would be building this machine. ;0)
        I added the Model 14 nose, painted over the top of the canopy and covered the turret opening using the kit part.  I then primed the model with flat grey primer in preparation for the BMF using Polished Aluminum by Alclad.  I ended up with a flat finish, so started sanding with 2000 grit wet sand paper...only to realize that I had really messed it up.
       At this point I asked for help and Bondo Phil said..very forcefully..use a gloss base dummy.  I then shot the top of the fuselage. nose, cowlings and top of the wings with Model Master Gloss Black, fully intending to respray with Alclad II Polished Aluminum.  I was working on another project at the time and accidentally spilled SnJ polishing powder on one wing of the Hudson..and naturally the Black paint was still tacky.  In trying to get it cleaned up, I realized that I could spill more powder and get an incredible BMF.
       And there you have my unusual converted Hudson story.  LAC Smedley came from my spares box.  His polishing rag is a wad of Kleenex glued to his hand!  This little bit came from a situation that I was in while attached to 436 Sqn, but that is another story.
       The model is not finished.  It still requires a pitot tube, antennae and serials but I thought that I'd share this with  all my friends on ARC.
  Cheers, Barney